%define module_name App-LedgerSMB-Admin
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(PGObject/Simple/Role.pm) perl(PGObject/Util/DBAdmin.pm) perl(PGObject/Util/DBChange.pm) perl(PGObject/Util/DBMethod.pm) perl(Test/Exception.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Easily Manage LedgerSMB Installations
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EH/EHUELS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides the basic routines for managing multiple major versions of
LedgerSMB through a consistent toolkit.

It contains basically three components:

=over

=item command line scripts

=item libraries for writing management programs

=item dancer-based web application (Forthcoming)

=back

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*

%files scripts
%_bindir/*

%changelog
* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Sun Sep 18 2016 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Thu Oct 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Mon Oct 06 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

